import javax.persistence.*;
import javax.annotation.*;
import javax.naming.*;
import javax.transaction.*;

@PersistenceUnit(name="persistence/emf")
public class Client {
	private static EntityManagerFactory emf;
	@Resource 
	private static UserTransaction utx;
	public static void main(String... args) throws Exception {
		System.out.println("Application Started. utx = " + utx);
		emf = (EntityManagerFactory)new InitialContext().lookup(
				"java:comp/env/persistence/emf");
		EntityManager em = emf.createEntityManager();
		utx.begin();
		em.joinTransaction();
		FooEntity fe = new FooEntity();
		em.persist(fe);
		System.out.println("Before flush, id = " + fe.getId());
		em.flush();
		System.out.println("After flush, id = " + fe.getId());
		em.refresh(fe);
		System.out.println("After refresh, id = " + fe.getId());
		em.close();
		utx.commit();
	}
}
